%input [x,y]
%function dis=GPdis_new(y1,x1,y2,x2,R_new,TMP1)
%
% Copyright 2012, Zhen Qin and Christian R. Shelton
% Provided free for non-commercial use
% WITHOUT ANY WARRANTY -- see Readme.txt
function dis=GPdis_new(y1,x1,y2,x2,Width,Height)

workspace=load('space');
ProjX = workspace.ProjX;
ProjY = workspace.ProjY;


y11=round(y1);
if(y11<=0)
    y11=1;
end

%do not exceed, different for different videos
if(y11>Width)
    y11=Width;
end
x11=round(x1);
if(x11<=0)
    x11=1;
end
if(x11>=Height)
    x11=Height;
end
y22=round(y2);
if(y22<=0)
    y22=1;
end
if(y22>Width)
    y22=Width;
end
x22=round(x2);
if(x22<=0)
    x22=1;
end
if(x22>=Height)
    x22=Height;
end
y1_new=ProjX(y11,x11);
x1_new=ProjY(y11,x11);
y2_new=ProjX(y22,x22);
x2_new=ProjY(y22,x22);
dis=sqrt((y1_new-y2_new)^2+(x1_new-x2_new)^2);











